function Controller() {
    function doClick() {
        var resFolderPath = Ti.Filesystem.getResourcesDirectory() + "/";
        var graphWebView = Ti.UI.createWebView({
            url: resFolderPath + "barchart.html",
            left: 10,
            width: "600dp",
            height: "300dp"
        });
        graphWebView.addEventListener("touchmove", function() {
            return false;
        });
        var win_height = Ti.Platform.displayCaps.platformHeight;
        var win_width = Ti.Platform.displayCaps.platformWidth;
        var win = Ti.UI.createWindow({
            backgroundColor: "white"
        });
        var view = Ti.UI.createView({
            backgroundColor: "#F2F2F2",
            bottom: 0,
            width: win_width,
            height: win_height
        });
        var closeButton = Titanium.UI.createButton({
            title: "Close",
            top: 10,
            left: 10,
            height: 50
        });
        closeButton.addEventListener("click", function() {
            win.close();
        });
        var chartTitle = Titanium.UI.createLabel({
            text: "Chart Test",
            right: 10,
            textAlign: Ti.UI.TEXT_ALIGNMENT_RIGHT,
            top: 10,
            zIndex: 1
        });
        view.add(chartTitle);
        view.add(closeButton);
        view.add(graphWebView);
        win.add(view);
        win.open();
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    this.__controllerPath = "index";
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    var __defers = {};
    $.__views.index = Ti.UI.createWindow({
        backgroundColor: "white",
        id: "index"
    });
    $.__views.index && $.addTopLevelView($.__views.index);
    $.__views.label = Ti.UI.createButton({
        title: "Open WebView",
        id: "label"
    });
    $.__views.index.add($.__views.label);
    doClick ? $.__views.label.addEventListener("click", doClick) : __defers["$.__views.label!click!doClick"] = true;
    exports.destroy = function() {};
    _.extend($, $.__views);
    $.index.open();
    __defers["$.__views.label!click!doClick"] && $.__views.label.addEventListener("click", doClick);
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;